Bug 3691

Summary: No option to load embedded images from server in HTML emails
Product: [Maemo Official Applications] Email Reporter: Chris H <chris.hembrow_maemo>
Component: GeneralAssignee: unassigned <nobody>
Status: RESOLVED FIXED QA Contact: modest-bugs
Severity: enhancement    
Priority: Low CC: andre_klapper, bugzilla770, matthew_lynch, quim.gil, shoaibsk
Version: 4.1.1 (4.2008.30-2)   
Target Milestone: 5.0-beta   
Hardware: All   
OS: Linux   

Description Chris H (reporter) 2008-09-09 11:44:43 UTC
SOFTWARE VERSION:
4.2008.30-2

STEPS TO REPRODUCE THE PROBLEM:
View an HTML email with images in modest

EXPECTED OUTCOME:
An option to load images should be available

ACTUAL OUTCOME:
No option to load images

REPRODUCIBILITY:
always

EXTRA SOFTWARE INSTALLED:
N/A

OTHER COMMENTS:

There should be an option to load images in HTML emails.  This should not be an
all-or-nothing option, as is currently configurable though gconf.

This option should be built in to modest.

Ideally, it should be possible to remember "safe senders", but a button to
"display images" when viewing HTML emails without remembering behaviour would
be enough.

Priority medium because in 2008 showing images in HTML emails should be a
standard behaviour.
Comment 1 Andre Klapper maemo.org 2008-09-09 14:22:16 UTC
> STEPS TO REPRODUCE THE PROBLEM:
> View an HTML email with images in modest

This is a bit vague - I assume you refer to images that are not sent together
with the email, but references to images that have to be downloaded from a
server first?
I can reproduce the latter case, but I consider it as an enhancement.
Comment 2 Chris H (reporter) 2008-09-09 14:33:27 UTC
Yes, I mean downloaded images.  Why is this an enhancement?  Surely an
inability to correctly render an email, which this is, is a bug?

I receive a number of mailshots from online retailers which are 90% image, and
the images are on a server.  I am unable to view these images in modest, and
have to use another tool.  How is this not a bug?
Comment 3 Andre Klapper maemo.org 2008-09-09 15:52:52 UTC
Having mentioned the related thread at
http://www.internettablettalk.com/forums/showthread.php?t=23480 pointing to the
solution described in
http://www.maemoapps.com/2008/06/26/howto-enable-graphics-in-html-mail/
would have been helpful.

So running
  gconftool-2 --type bool --set /apps/modest/fetch_external_images true
should workaround this.

There ARE privacy reasons (webcookies tracking user behaviour and whether an
email has been read/the email address is valid) to not enable this by default,
though, hence enhancement.
Comment 4 Chris H (reporter) 2008-09-09 16:01:14 UTC
I was aware of the gconf "solution", as I mentioned in my first comment, but it
is hardly something that an average user can be expected to do, is it?  If this
was configurable through the settings, that would be a different matter, but
the inability to enable this functionality without modifying core systems could
be classified as a bug in itself.

Anyway, I can see that I'm not going to win this one, so ...
Comment 5 Andre Klapper maemo.org 2008-09-09 16:29:45 UTC
Errr... this is not about "winning" something, but finding a useful default.
Having a setting in the UI would be the best way, right.
Comment 6 Neil MacLeod maemo.org 2008-09-09 17:13:45 UTC
As Chris mentions in his opening comment, the best solution would be to
download images in emails from trusted senders only, with an easy way to add
senders to the trusted list (and also remove and maintain the trusted list
too). This solution works absolutely fine for Thunderbird and there's no reason
why it shouldn't work for Modest too.

The gconf workaround is a potential security risk as it applies to all senders
equally and gconf is hardly an option for all users. A better solution is
needed sooner rather than later.
Comment 7 Neil MacLeod maemo.org 2008-09-09 17:19:37 UTC
(In reply to comment #5)
> Errr... this is not about "winning" something, but finding a useful default.
> Having a setting in the UI would be the best way, right.

A simple on/off UI setting will not be acceptable (just in case this is what
you are suggesting!) - the sender of the email must be taken into consideration
before any images are downloaded, if there is no trust then there should be no
images downloaded.

It might also be useful to have a "Display this image" context menu option too,
which would allow the user to download and display an image without explicitly
trusting the sender going forward. However I'm not convinced I would use this
option myself...
Comment 8 Chris H (reporter) 2008-09-09 17:30:07 UTC
The webmail client I use (www.roundcube.net) has a simple "display images"
button at the top of HTML emails.  It doesn't remember _anything_, and I have
to click it for each and every HTML email, but it's easy to do.  I know whether
or not I can trust the sender, and if not I'm normally going to delete the
email anyway.

This wouldn't require any logic for checking and storing "safe senders", but it
would maintain security/privacy.
Comment 9 Matthew Lynch 2008-11-11 01:38:38 UTC
I don't see why this should be classified as an enhancement either.  The
discussion here explains that modest already has the ability to show images in
html emails.  But this ability is not enabled by default and /or not available
via the UI? That's a bug in my book - function in specification not delivered. 

I receive a high proportion of 100% image emails from trusted sources as I'm
sure do most people who sign up to retail marketing emails.
Comment 10 Andre Klapper maemo.org 2008-11-19 21:19:22 UTC
In Fremantle, Modest will probably have a button when viewing a HTML message.
It will let you load external images.
Comment 11 Quim Gil nokia 2008-11-26 13:21:17 UTC
Fixed in Fremantle
Comment 12 Andre Klapper maemo.org 2009-04-28 15:34:25 UTC
Setting Target Milestone to Fremantle SDK beta.
Comment 13 Shoaib 2010-06-02 22:01:19 UTC
I have the same problem on my N900. However the point to note is I can see the
images in the email body for my Gmail account, whereas the problem of images
coming up as attachments is only for my Mail For Exchange account and the Image
icon in the toolbar becomes greyed out.

So what could be differentiating these two account types?
Comment 14 Neil MacLeod maemo.org 2010-06-02 22:04:01 UTC
(In reply to comment #13)
> I have the same problem on my N900. However the point to note is I can see the
> images in the email body for my Gmail account, whereas the problem of images
> coming up as attachments is only for my Mail For Exchange account and the Image
> icon in the toolbar becomes greyed out.
> 
> So what could be differentiating these two account types?
> 

Dunno, but I would strongly suggest you create a separate bug for that issue as
this particular enhancement is closed fixed.